-- Add migration script here
CREATE TABLE application (
    id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    app_name TEXT NOT NULL,
    url TEXT NOT NULL,
    description TEXT,
    active Boolean DEFAULT 1 NOT NULL,
    glyph TEXT,
    application_category_id INTEGER,
    enable_healthcheck Boolean DEFAULT 0 NOT NULL
);
CREATE TABLE application_category (
    id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    category_name TEXT NOT NULL,
    glyph TEXT,
    active BOOLEAN NOT NULL DEFAULT 1
);
CREATE TABLE bookmark (
    id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    bookmark_name TEXT NOT NULL,
    url TEXT NOT NULL,
    active BOOLEAN NOT NULL DEFAULT 1,
    bookmark_category_id INTEGER
);
CREATE TABLE bookmark_category (
    id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    category_name TEXT NOT NULL,
    active BOOLEAN NOT NULL DEFAULT 1,
    glyph TEXT
);
CREATE TABLE setting (
    id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    setting_name TEXT NOT NULL,
    setting_value TEXT NOT NULL
);
